Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
[Java] Class BuildResultLogger

    java.lang.Object
      org.gradle.BuildAdapter
          org.gradle.BuildResultLogger

    public class BuildResultLogger
    extends BuildAdapter

A BuildListener which logs the final result of the build.

Constructor Summary
`BuildResultLogger(StyledTextOutputFactory textOutputFactory, Clock buildTimeClock)`

Method Summary
`void` | `buildFinished(BuildResult result)`

Methods inherited from class BuildAdapter
buildFinished, buildStarted, projectsEvaluated, projectsLoaded, settingsEvaluated

Constructor Detail

### BuildResultLogger

    public BuildResultLogger(StyledTextOutputFactory textOutputFactory, Clock buildTimeClock)

Method Detail

### buildFinished

    public void buildFinished(BuildResult result)

Gradle API 1.1-rc-1